Bug 250337 - security/py-asyncssh: update 1.6.1 -> 2.4.2
Summary: security/py-asyncssh: update 1.6.1 -> 2.4.2
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Sunpoet Po-Chuan Hsieh
URL:
Keywords: buildisok
Depends on: 245929
Blocks:
  Show dependency treegraph
 
Reported: 2020-10-14 11:03 UTC by Kurt Jaeger
Modified: 2020-12-10 22:09 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (sunpoet)


Attachments
patch (832 bytes, patch)
2020-10-14 11:03 UTC, Kurt Jaeger
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Kurt Jaeger freebsd_committer 2020-10-14 11:03:39 UTC
Created attachment 218736 [details]
patch

While reading https://elegantnetwork.github.io/posts/comparing-ssh/
I found the ports needs an update.

Changelog: https://github.com/ronf/asyncssh/blob/master/docs/changes.rst

Testbuilds look fine. Probably needs run-tests.
Comment 1 Sunpoet Po-Chuan Hsieh freebsd_committer 2020-10-14 13:20:14 UTC
We have to wait for py-cryptography update.
I have submitted a patch for py-cryptography 2.7 (bug #238968) in order to update py-asyncssh 1.17.0 (bug #238969).
It now requires py-cryptography >= 2.8 [1].

Add bug #245929 (py-cryptography 2.9.2) to "Depends on".

[1] https://github.com/ronf/asyncssh/blob/v2.4.2/setup.py#L55
Comment 2 Automation User 2020-10-29 00:06:01 UTC
Build and package info is available at https://gitlab.com/swills/freebsd-ports/pipelines/208974773
Comment 3 commit-hook freebsd_committer 2020-12-10 22:00:51 UTC
A commit references this bug:

Author: sunpoet
Date: Thu Dec 10 21:59:46 UTC 2020
New revision: 557685
URL: https://svnweb.freebsd.org/changeset/ports/557685

Log:
  Update to 2.4.2

  Changes:	https://github.com/ronf/asyncssh/blob/master/docs/changes.rst
  PR:		250337
  Submitted by:	pi

Changes:
  head/security/py-asyncssh/Makefile
  head/security/py-asyncssh/distinfo
Comment 4 Sunpoet Po-Chuan Hsieh freebsd_committer 2020-12-10 22:09:41 UTC
Committed. Thanks!